RowIndexEntry.Serializer (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.db

## Class RowIndexEntry.Serializer

- java.lang.Object
- - org.apache.cassandra.db.RowIndexEntry.Serializer

- Enclosing class:
    RowIndexEntry

      public static class RowIndexEntry.Serializer
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RowIndexEntry.Serializer(CType type)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `RowIndexEntry` | `deserialize(java.io.DataInput in, Descriptor.Version version)`
    `void` | `serialize(RowIndexEntry rie, DataOutputPlus out)`
    `int` | `serializedSize(RowIndexEntry rie)`
    `static void` | `skip(java.io.DataInput in)`
    `static void` | `skipPromotedIndex(java.io.DataInput in)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RowIndexEntry.Serializer

          public RowIndexEntry.Serializer(CType type)

  - ### Method Detail

    - #### serialize

          public void serialize(RowIndexEntry rie,
                       DataOutputPlus out)
                         throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### deserialize

          public RowIndexEntry deserialize(java.io.DataInput in,
                                  Descriptor.Version version)
                                    throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### skip

          public static void skip(java.io.DataInput in)
                           throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### skipPromotedIndex

          public static void skipPromotedIndex(java.io.DataInput in)
                                        throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### serializedSize

          public int serializedSize(RowIndexEntry rie)

Copyright © 2014 The Apache Software Foundation